body {
  margin: 0;
  padding: 0;
  overflow: hidden;
  font-family: "Signika", sans-serif;
  background: #01c1b2;
}

.modal-container {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  background-color: rgba(0, 0, 0, 0.6);
  z-index: 2;
  opacity: 1;
  transition: opacity 0.3s;
}

.modal-container.invisible {
  opacity: 0;
  pointer-events: none;
}

.modal {
  max-width: 90%;
  width: 400px;
  margin: auto;
  padding: 40px;
  background-color: #ffffff;
  box-shadow: 0 10px 20px rgba(0, 0, 0, 0.19), 0 6px 6px rgba(0, 0, 0, 0.23);
  font-size: 1.1rem;
  line-height: 1.8rem;
  border-radius: 10px;
  z-index: 3;
  color: #444444;
  text-align: center;
}

.modal--wide {
  width: 600px;
}

.modal h1 {
  margin-top: 0;
  margin-bottom: 40px;
}

.modal p {
  margin: 0.5em 0;
  text-align: center;
}

.modal div {
  display: inline-block;
  width: 48%;
  margin: 24px 0;
}

.modal div:last-of-type {
  width: 100%;
}

.modal button {
  display: block;
  border: none;
  outline: none;
  margin: 30px auto 0;
  padding: 15px 30px;
  font-family: "Signika", sans-serif;
  font-weight: 700;
  font-size: 1.1rem;
  color: #ffffff;
  background-color: #01c1b2;
  border-radius: 5px;
  cursor: pointer;
  text-transform: uppercase;
}
.modal button:hover {
  background-color: #00b0a1;
}

.info {
  position: absolute;
  left: 0;
  top: 0;
  z-index: 1;
  color: #f9f871;
  font-weight: 700;
  font-size: 1.6rem;
  text-transform: uppercase;
  text-shadow: -1px -1px 0 #364954, 1px -1px 0 #364954, -1px 1px 0 #364954,
    1px 1px 0 #364954;
  padding: 15px 20px;
}

.info__item {
  display: inline-block;
  margin-right: 20px;
}

.icons {
  position: absolute;
  right: 0;
  top: 0;
  z-index: 1;
  padding: 15px 20px;
}

.icons i {
  margin-right: 10px;
  font-size: 1.4rem;
  color: #f9f871;
  text-shadow: -1px -1px 0 #364954, 1px -1px 0 #364954, -1px 1px 0 #364954,
    1px 1px 0 #364954;
  cursor: pointer;
}

#charge {
  position: absolute;
  right: 0;
  bottom: 0;
  z-index: 1;
  list-style-type: none;
  margin: 0;
  color: #7cb2c9;
  font-family: "Signika", sans-serif;
  letter-spacing: 1px;
  font-weight: 700;
  font-size: 1.6rem;
  text-transform: uppercase;
  text-shadow: -1px -1px 0 #364954, 1px -1px 0 #364954, -1px 1px 0 #364954,
    1px 1px 0 #364954;
  padding: 15px 20px;
}

.charge__item {
  display: inline-block;
  border: 1px solid #364954;
  border-radius: 3px;
  background-color: #7cb2c9;
  width: 12px;
  height: 22px;
  margin-bottom: -1px;
}

#scene-container {
  position: absolute;
  height: 100%;
  width: 100%;
  z-index: 0;
  box-sizing: border-box;
}
